org.apache.pdfbox.pdfparser.xref

## Enum XReferenceType

- java.lang.Object
- - java.lang.Enum<XReferenceType>
  - - org.apache.pdfbox.pdfparser.xref.XReferenceType

All Implemented Interfaces:
  Serializable, Comparable<XReferenceType>

    public enum XReferenceType
    extends Enum<XReferenceType>

An instance of this class represents a type for a `XReferenceEntry`, as it can be found in a PDF's `PDFXRefStream`.

Author:
  Christian Appl

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`FREE`
`NORMAL`
`OBJECT_STREAM_ENTRY`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`int` `getNumericValue()` Returns the numeric representation of this type.
`static XReferenceType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static XReferenceType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### FREE

    public static final XReferenceType FREE

#### NORMAL

    public static final XReferenceType NORMAL

#### OBJECT_STREAM_ENTRY

    public static final XReferenceType OBJECT_STREAM_ENTRY

### Method Detail

#### values

    public static XReferenceType[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (XReferenceType c : XReferenceType.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static XReferenceType valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### getNumericValue

    public int getNumericValue()

Returns the numeric representation of this type.

Returns:
  The numeric representation of this type.